Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225446 - Refile between IMAP folders hangs X
Summary: Refile between IMAP folders hangs X
Keywords:
Status: CLOSED DUPLICATE of bug 220479
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 8
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-30 17:43 UTC by Christopher Beland
Modified: 2018-04-11 07:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-29 19:17:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 351672 None None None Never

Description Christopher Beland 2007-01-30 17:43:31 UTC
evolution-2.8.2.1-3.fc6

I often use Evolution in offline mode to read messages on the train.
I store my mail on a home IMAP server.  Today, I was sorting mail by
dragging and dropping it between IMAP folders.  It was working fine for
most of my trip, but now it is stuck.  The status line at the bottom
of the Evolution window says "Retrieving message 315 (...)" and
"Moving messages into folder Yokel/old (...)".  These operations
normally complete almost immediately, but for the past several
minutes, nothing has changed, and I cannot look at any other mail.

After arriving at work, I set up my network and selected File -> Work
Online.  Now I see two copies of "Reconnecting to IMAP server
24.63.XX.XX (...)" but nothing is happening.

So I attempt to close Evolution.  I now see on the lower left status
bar "Storing account 'imap://beland@24.63.XX.XX/' (...) but nothing is
happening.

After kill -9'ing Evolution, I restart Evolution.  It's now
functioning normally again, though the mail I was trying to sort in
the last operation has not been moved.

Comment 1 Christopher Beland 2007-08-28 18:06:33 UTC
This has been reported as a more general problem at bugzilla.gnome.org, and
there are process traces:

http://bugzilla.gnome.org/show_bug.cgi?id=308354
http://bugzilla.gnome.org/show_bug.cgi?id=408471

It's still a problem in Fedora 7, with evolution-2.10.3-2.fc7.

Comment 2 Milan Crha 2007-11-20 18:12:49 UTC
The patch from upstream bug [1] should help you, but it is there since 2.12, so
in Fedora 8. Can you check if it helps and close this bug if so? Thanks in advance.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=351672

Comment 3 Matěj Cepl 2008-01-18 16:50:58 UTC
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

Comment 4 Christopher Beland 2008-01-18 17:20:08 UTC
Hmm, this looks like a duplicate of Bug 220479, which is still present in
evolution-2.12.2-2.fc8 for Fedora 8.

Comment 5 Matthew Barnes 2008-01-29 19:17:09 UTC

*** This bug has been marked as a duplicate of 220479 ***


Note You need to log in before you can comment on or make changes to this bug.